<?php
/**
 * pragmaMx  Content Management System
 * Copyright (c) 2007 pragmaMx Dev Team - http://pragmamx.org
 * modified by (c) 2006 by jubilee - http://www.pragmamx.org
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * $Source: /home/www/dps3311/home/cvsroot/pragmamx/pragmamx_01/includes/captcha/captchaimg.php,v $
 * $Revision: 1.7 $
 * $Author: tora60 $
 * $Date: 2007/03/21 18:49:26 $
 */

/**
 * this file may be used as html image 
 * just include it as <img src="captchaimg.php?{hash}">
 * and a captcha image shall be displayed
 */

// Ausgabepuffer starten
ob_start();
// Ordner wechseln
chdir('../../');
// keine Session starten
$mxWithoutSession = true;
// gzip-Kompression verhindern
$_SERVER['HTTP_ACCEPT_ENCODING'] = '';
// pragmaMx System includen
if (@ !include('mainfile.php')) {
    die('mainfile-error');
} 
// Captcha Dateien includen
include(dirname(__file__) . '/__captcha/PhraseFactory.php');
include(dirname(__file__) . '/__captcha/SlickCaptcha.php');
include(dirname(__file__) . '/settings.php');
// eventuelle Script oder Fehlerausgaben verwerfen und kuenftige Meldungen abschalten
while (ob_get_contents()) {
    ob_end_clean();
} 
error_reporting(0);

// Header senden
header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
header('Cache-Control: no-cache');
header('Pragma: no-cache');

// Bild generieren und ausgeben
$captcha = new SlickCaptcha(PhraseFactory::get('', $passphraselenght, '', $storagetype), $useRandomColors);
$captcha->setImageWidth($imagewidth);
$captcha->setImageHeight($imageheight);
$captcha->setFontSize($fontsize);
$captcha->use_filter($filter);
$captcha->set_filter_name($filtertype);
$captcha->set_background_intensity($bgintensity);
$captcha->set_font_type($bgfonttype);
$captcha->enable_scratches($scratches);
$captcha->set_scratches_amount($scratchamount);
$captcha->set_minmax_size($minsize, $maxsize);
$captcha->set_showgrid($addagrid);
$captcha->set_angle($angle);
$captcha->set_showcoloredlines($addhorizontallines);
$captcha->display();

?>